## openvas-plugins-dfsg 1.0.7

=== plugins/3com_hub/Makefile ===
include ../../openvas.tmpl

PLUGNAME=3com_hub

all : $(PLUGNAME).nes
	
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) --mode=compile --tag CC $(CC) $(DEFS) $(include)  -I/usr/local/include `libnet-config --defines --cflags` -c  $(PLUGNAME).c
	$(LIBTOOL) --mode=link --tag CC $(CC) $(DEFS) $(LDFLAGS) -o lib$(PLUGNAME).la $(PLUGNAME).lo `libnet-config --defines --libs` -L/usr/local/lib $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

=== plugins/find_service/Makefile ===
include ../../openvas.tmpl

PLUGNAME=find_service

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) --mode=compile --tag CC $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) --mode=link --tag CC $(CC) $(DEFS) $(LDFLAGS) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

=== plugins/openvas_tcp_scanner/Makefile ===
include ../../openvas.tmpl

PLUGNAME=openvas_tcp_scanner

# If you compile this plugin with -DSTATISTICS or -DCOMPUTE_RTT, 
# add -lm after $LIBS

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c 
	$(LIBTOOL) --mode=compile --tag CC $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) --mode=link --tag CC $(CC) $(DEFS) $(LDFLAGS) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) -lm $(LIBUTIL) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

=== plugins/ssl_ciphers/Makefile ===
include ../../openvas.tmpl

PLUGNAME=ssl_ciphers

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) --mode=compile --tag CC $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) --mode=link --tag CC $(CC) $(LDFLAGS) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

=== plugins/synscan/Makefile ===
include ../../openvas.tmpl

PLUGNAME=synscan

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) --mode=compile --tag CC $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) --mode=link --tag CC $(CC) $(DEFS) $(LDFLAGS) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

## openvas-plugins-dfsg 20100320

=== Makefile ===
include openvas.tmpl

all: mkplugins

mkplugins:
	cd plugins && ./make_world
	
clean:
	cd plugins && ./make_world clean

install-sync-script:
	test -d $(DESTDIR)${sbindir} || $(INSTALL_DIR) -m 755 $(DESTDIR)${sbindir}
	$(INSTALL) -m 0555 openvas-nvt-sync \
		$(DESTDIR)${sbindir}

install-dirs:
	test -d $(DESTDIR)${libdir}/openvas || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${libdir}/openvas
	test -d $(DESTDIR)${libdir}/openvas/plugins || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${libdir}/openvas/plugins
	
install-nasl: install-dirs
	for scripts in scripts/*.nasl; do \
	$(INSTALL) -m 444 $$scripts \
		$(DESTDIR)${libdir}/openvas/plugins; \
	done

install-inc: install-dirs
	for scripts in scripts/*.inc; do \
	$(INSTALL) -m 444 $$scripts \
		$(DESTDIR)${libdir}/openvas/plugins; \
	done

install-nes: install-dirs
	for plugins in bin/*.nes; do \
	$(INSTALL) -m 555 $$plugins \
		$(DESTDIR)${libdir}/openvas/plugins; \
	done

install-man:
	test -d $(DESTDIR)${mandir}/man1 || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${mandir}/man1

install-minimal: all \
	install-dirs install-nes \
	install-man install-sync-script
	
	test -d $(DESTDIR)${prefix}/bin || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${prefix}/bin


install: all \
	install-dirs install-nasl install-inc install-nes \
	install-man install-sync-script
	
	test -d $(DESTDIR)${prefix}/bin || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${prefix}/bin

distclean: clean
	rm -f config.cache config.status config.log openvas.tmpl openvas-nvt-sync
	rm -f bin/*.nes

dist:
	version="`cat VERSION`"; \
	rm -rf openvas-plugins-$${version}* ; \
	mkdir openvas-plugins-$${version} ; \
	tar cf openvas-plugins-$${version}/x.tar `cat MANIFEST`; \
	( cd openvas-plugins-$${version} ; tar xf x.tar ; rm -f x.tar ) ; \
	tar cf openvas-plugins-$${version}.tar openvas-plugins-$${version} ; \
	gzip -9 openvas-plugins-$${version}.tar

## openvas-plugins-dfsg 20100705

=== Makefile ===
include openvas.tmpl

all:

install-dirs:
	test -d $(DESTDIR)${libdir}/openvas || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${libdir}/openvas
	test -d $(DESTDIR)${libdir}/openvas/plugins || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${libdir}/openvas/plugins
	
install-nasl: install-dirs
	for scripts in scripts/*.nasl; do \
	$(INSTALL) -m 444 $$scripts \
		$(DESTDIR)${libdir}/openvas/plugins; \
	done

install-inc: install-dirs
	for scripts in scripts/*.inc; do \
	$(INSTALL) -m 444 $$scripts \
		$(DESTDIR)${libdir}/openvas/plugins; \
	done

install-man:
	test -d $(DESTDIR)${mandir}/man1 || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${mandir}/man1

install-minimal: all install-dirs install-man

install: all install-dirs install-nasl install-inc install-man

clean:

distclean: clean
	rm -f config.cache config.status config.log openvas.tmpl

dist:
	version="`cat VERSION`"; \
	rm -rf openvas-plugins-$${version}* ; \
	mkdir openvas-plugins-$${version} ; \
	tar cf openvas-plugins-$${version}/x.tar `cat MANIFEST`; \
	( cd openvas-plugins-$${version} ; tar xf x.tar ; rm -f x.tar ) ; \
	tar cf openvas-plugins-$${version}.tar openvas-plugins-$${version} ; \
	gzip -9 openvas-plugins-$${version}.tar

=== debian/changelog ===
openvas-plugins-dfsg (1:20100705-4ubuntu2) utopic; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 23 May 2014 22:37:44 -0400

openvas-plugins-dfsg (1:20100705-4ubuntu1) quantal; urgency=low

  * Explicitly create debian/openvas-plugins-dfsg/usr/share/lintian/overrides/
    to avoid FTBFS on binary-arch builds.

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 03 Jul 2012 12:08:24 -0400

openvas-plugins-dfsg (1:20100705-4) unstable; urgency=low

  * debian/control: Replace Build-Depends on dpatch with quilt (>= 0.40)
    (Closes: #674228)
  * debian/rules: Remove plugins subdir when cleaning.
  * Added new po-debconf translations:
    - Italian, provided by Beatrice Torracca (Closes: #671637)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 25 May 2012 00:03:05 +0200

openvas-plugins-dfsg (1:20100705-3) unstable; urgency=low

  * Added new po-debconf translations:
    - Dutch, provided by Jeroen Schot (Closes: #660844)
    - Polish, provided by Michał Kułach (Closes: #670628)
    - Portuguese Brazilian, provided by J.S.J ior (Closes: #671289)
  * Patch by Jari Aalto to upgrade packaging format: (Closes: #670395)
    - Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    - Update to Standards-Version to 3.9.3 and debhelper to 9.
    - Add required build-arch and build-indep targets to rules file.
    -  patches
       - (10): New; in-line changes to original sources.
       - (90): Rename from 100 to make listing sort alphabetically.
    - Fix maintainer-script-without-set-e (Lintian fix).
  * debian/rules: Rewrite the content fully using debhelper extensively
    and a few overrides
  * Remove debian/manpages since it would make install the manpage
    of openvas-nvt-sync in the openvas-plugins-dfsg 

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 02 May 2012 22:23:20 +0200

openvas-plugins-dfsg (1:20100705-2) unstable; urgency=low

  * Added Japanese po-debconf translation provided by Hideki Yamane 
    (Closes: 595461)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 06 Oct 2010 02:48:19 +0200

openvas-plugins-dfsg (1:20100705-1) unstable; urgency=low

  * Update plugins with latest upstream SVN sources.
     - Only existing plugins (.nasl or .inc) have been updated, no new
       plugins have been added in this release as a manual audit
       of new plugins is still required.
     - The latest SVN version does not include the .NES plugins since these
       have moved over to openvas-scanner (version 3.x)
  * debian/patches/30_include_plugins.dpatch: Create this patch to
     provide the compiled plugins since we still have openvas-server (version
     2.0.3)
  * debian/patches/40_openvas-nvt_sync.dpatch: Similarly, include the
     openvas-nvt-sync since it is not (yet) provided in any other package
  * debian/patches/100_audit_improve.dpatch: Move most of the content
     to SVN and simplify this patch, it only provides the list of REMOVED
     plugins (which is Debian-specific)
  * debian/extra/update-plugins: 
     - Copy also updated .inc files
     - Do not diff if the file does not exist in SVN anymore
  * debian/patches/100_audit_improve.dpatch: Update patch since 
     I have updated all the audit files upstream
  * debian/rules: 
      * Do not make build depend on audit/exclude-list as this 
      is not really required
      * Adjust the permissions of install_plug and make_world under plugins/
      (they are generated without execute bit by
      debian/patches/30_include_plugins.dpatch)

  * Updated debconf translations to the following languages:
    * Norwegian, thanks to by  Bjørn Steensrud (Closes: 577203)
    * Swedish, thanks to Martin Ågren (Closes: #578015)
    * Portuguese, thanks to Américo Monteiro (Closes: #579069)
    * French, thanks to Christian Perrier (Closes: 579716)
    * Danish, thanks to Joe Dalton (Closes: 587429)
    * Czech, thanks to Michal Simunek (Closes: #587631)
    * Chinese, thanks to  YunQiang Su (Closes: #587385)
    * Russian, thanks to Yuri Kozlov (Closes: #577169)
    * Vietnamese, thanks to Clytie Siddall (Closes: #577167)
    * German, thanks to Erik Schanze (Closes: #577455)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 05 Jul 2010 20:32:31 +0200

openvas-plugins-dfsg (1:20100320-1) unstable; urgency=low

  * Remove the 30_plugins_update.dpatch, 40_lsc_extra.dpatch and 
    50_template.dpatch patches and start using a source tar gz generated from
    reviewed SVN sources.
  * Remove solaris.inc from the non-free plugin list

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Fri, 09 Apr 2010 01:00:25 +0200

openvas-plugins-dfsg (1.0.7-7+svn20100320) unstable; urgency=low

  * Move the link creation for the NES files over to openvas-plugins-base

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 22 Mar 2010 03:36:04 +0100

openvas-plugins-dfsg (1.0.7-6+svn20100320) unstable; urgency=low

  * Use debconf (if available) on purge to ask the questios indicating
    whether the removal of the plugins directory is required. 
    Add debian/openvas-plugins-dfsg.templates, and create the
    debconf translation infrastructure. Also add an initial translation of the
    templates to Spanish.  (Closes: #566677)
  * debian/openvas-plugins-{dfsg,base}.postinst: Create to seed the debconf
    database for use in postrm
  * debian/openvas-plugins-{dfsg,base}.lintian-overrides: Override a lintian
    error since we are really not using debconf in config, only in postinst

  * 30_plugins_update.dpatch :
    Update the plugins with the latest versions available in SVN and include
    a number of new plugins after reviewing their license.
  * Repackage the sources and remove the following, non-free, content:
    
    Non-free plugins:
    [ gb_CESA-200* gb_mandriva_MD* gb_RHSA-200* RHSA_200* gb_suse_* ]
      - Those including content verbatim from Red Hat advisories,


=== debian/control ===
Source: openvas-plugins-dfsg
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Build-Depends: debhelper (>= 9), quilt (>= 0.40), libopenvas2-dev, openvas-server-dev (>= 1.0), libopenvasnasl2-dev, libgmp3-dev, libz-dev, libpcap-dev, libnet1-dev, libgnutls-dev, libglib2.0-dev, autotools-dev
Homepage: http://www.openvas.org/
Vcs-Browser: https://wald.intevation.org/plugins/scmsvn/viewcvs.php/trunk/openvas-packaging/openvas-plugins/debian/trunk/debian/?root=openvas
Vcs-Svn: https://svn.wald.intevation.org/svn/openvas/trunk/openvas-packaging/openvas-plugins/debian/trunk/debian/
Standards-Version: 3.9.3

Package: openvas-plugins-dfsg
Section: net
Architecture: all
Depends: ${misc:Depends}, openvas-plugins-base
Recommends: openvas-server (>= 1.0) | openvas-scanner (>= 3.0.0), nmap, smbclient, snmp
Suggests: openvas-client, pnscan, strobe, ike-scan
Conflicts: openvas-server (<= 2.0.3-2)
Description: remote network security auditor - plugins
 The Open Vulnerability Assessment System is a modular security auditing
 tool, used for testing remote systems for vulnerabilities that should be
 fixed.
 .
 It is made up of two parts: a server, and a client. The server/daemon,
 openvasd, is in charge of the attacks, whereas the client,
 OpenVAS-Client, provides an X11/GTK+ user interface.
 .
 This package contains the DFSG-free OpenVAS plugins, a set of security tests
 as well as scripts to build additional plugins.

Package: openvas-plugins-base
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rsync
Recommends: openvas-server (>= 1.0), openvas-plugins-dfsg
Conflicts: openvas-plugins, openvas-server (<= 2.0.3-2), openvas-scanner (>= 3.0.0) 
Provides: openvas-plugins
Description: remote network security auditor - basic plugins
 The Open Vulnerability Assessment System is a modular security auditing
 tool, used for testing remote systems for vulnerabilities that should be
 fixed.
 .
 This package contains the basic plugins: find_service, openvas_tcp_scanner,
 ssl_ciphers and synscan. As well as the script needed for downloading updated
 plugins from OpenVAS.

=== debian/rules ===
#!/usr/bin/make -f
# Derived from dh_make example.

#export DH_VERBOSE=1

tmp := $(CURDIR)/debian/tmp

CFLAGS := -g -Wall
ifneq "$(findstring noopt,$(DEB_BUILD_OPTIONS))" ""
CFLAGS += -O0
else
CFLAGS += -O2
endif

%:
	[ "$@" = "audit-plugins" ] || dh $@ --with quilt,autotools_dev

override_dh_auto_build:
	[ ! -e plugins/install_plug ] ||  chmod  +x plugins/install_plug
	[ ! -e plugins/make_world ] ||  chmod  +x plugins/make_world
	$(MAKE)

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" ./configure --sysconfdir=/etc --prefix=/usr \
          --mandir='$${prefix}/share/man' --localstatedir=/var/run \
          --with-fetchcmd=wget  --libdir=/var/lib

override_dh_auto_clean:
	touch openvas.tmpl
	[ ! -e plugins/install_plug ] ||  chmod  +x plugins/install_plug
	[ ! -e plugins/make_world ] ||  chmod  +x plugins/make_world
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -rf audit/exclude-list
	[ ! -f libtool ] || rm -f libtool
	[ ! -d bin/ ] || rm -rf bin/

override_dh_auto_install:
	$(MAKE) install prefix=$(tmp)/usr sysconfdir=$(tmp)/etc localstatedir=$(tmp)/var/run libdir=$(tmp)/var/lib
# After we install we remove the plugins we want to exclude from the
# package
	( cd $(tmp)/var/lib/openvas/plugins ; cat $(CURDIR)/audit/exclude-list $(CURDIR)/audit/remove-list | xargs rm -f )
# Move the libraries to /usr/lib
	mkdir -p $(tmp)/usr/lib/openvas/plugins
	mv  $(tmp)/var/lib/openvas/plugins/*nes  $(tmp)/usr/lib/openvas/plugins
# This is not required, we use openvas-plugins-dfsg.links instead
#	( cd $(tmp)/var/lib/openvas/plugins ; for file in *.nes; do \
#		 mv $$file ../../../../usr/lib/openvas/plugins ; \
#		 ln -s ../../../../usr/lib/openvas/plugins/$$file . ; done )
# However, we need this for binary-arch builds not to fail
	install -m755 -d debian/openvas-plugins-dfsg/usr/share/lintian/overrides/
	cp debian/openvas-plugins-dfsg.lintian-overrides \
		debian/openvas-plugins-dfsg/usr/share/lintian/overrides/openvas-plugins-dfsg

audit/exclude-list:
	( cd audit &&  test -f exclude-list || sh exclude-plugins >exclude-list )

audit-plugins: 
# Audit the plugins installed in the package
	( cd audit &&  sh audit-plugins $(tmp)/var/lib/openvas/plugins )
# If the audit passes we continue


binary-indep:: audit-plugins

override_dh_strip:
ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
	dh_strip		-a
	strip --strip-unneeded --remove-section=.comment --remove-section=.note \
          debian/openvas-plugins-base/usr/lib/openvas/plugins/*.nes
endif

override_dh_shlibdeps:
	dpkg-shlibdeps -Tdebian/openvas-plugins-base.substvars \
          debian/openvas-plugins-base/usr/lib/openvas/plugins/*.nes
